> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Sync Thread List > List the threads of a room along with any data updates from a specified date. ### Changelog | Version | Description | | ------------ | ------------| |9.0.0 | Removed the `fields` and `query` parameters. | | 1.0.0 | Added | ## OpenAPI ````json GET /api/v1/chat.syncThreadsList { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.syncThreadsList": { "get": { "tags": [ "Chat" ], "summary": "Sync Thread List", "description": "List the threads of a room along with any data updates from a specified date.\n\n### Changelog\n| Version | Description | \n| ------------ | ------------|\n|9.0.0 | Removed the `fields` and `query` parameters. |\n| 1.0.0 | Added |", "operationId": "get-api-v1-chat.syncThreadsList", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/sort" }, { "name": "rid", "in": "query", "description": "The room ID.", "required": true, "schema": { "type": "string", "example": "J8Sqi5zPw62WgE4Md" } }, { "name": "updatedSince", "in": "query", "description": "Date as an ISO string. When you provide the `updatedSince` query parameter, then the `update` and `remove` parameters in the response will contain only those updated and removed since this date and time.", "schema": { "type": "string", "example": "2026-01-01T00:00:00Z" }, "required": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "threads": { "type": "object", "properties": { "update": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "replies": { "type": "array", "items": { "type": "string" } }, "tcount": { "type": "integer" }, "tlm": { "type": "string" } } } }, "remove": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "replies": { "type": "array", "items": { "type": "string" } }, "tcount": { "type": "integer" }, "tlm": { "type": "string" }, "_deletedAt": { "type": "string" }, "__collection__": { "type": "string" } } } } } }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "threads": { "update": [ { "_id": "J8Sqi5zPw62WgE4Md", "rid": "GENERAL", "msg": "test1", "ts": "2019-04-16T18:16:00.614Z", "u": { "_id": "rocketchat.internal.admin.test", "username": "rocketchat.internal.admin.test", "name": "RocketChat Internal Admin Test" }, "_updatedAt": "2019-04-16T18:17:09.749Z", "mentions": [], "channels": [], "replies": [ "rocketchat.internal.admin.test" ], "tcount": 1, "tlm": "2019-04-16T18:17:09.672Z" }, { "_id": "hbs2ZAjHH2JXrP7C7", "rid": "GENERAL", "msg": "another test", "ts": "2019-04-16T18:13:20.403Z", "u": { "_id": "rocketchat.internal.admin.test", "username": "rocketchat.internal.admin.test", "name": "RocketChat Internal Admin Test" }, "_updatedAt": "2019-04-16T18:30:46.722Z", "mentions": [], "channels": [], "replies": [ "rocketchat.internal.admin.test" ], "tcount": 1, "tlm": "2019-04-16T18:30:46.615Z" } ], "remove": [ { "_id": "GXwCSs4cx6456WBJk", "rid": "GENERAL", "msg": "test", "ts": "2019-04-16T18:13:39.217Z", "u": { "_id": "rocketchat.internal.admin.test", "username": "rocketchat.internal.admin.test", "name": "RocketChat Internal Admin Test" }, "_updatedAt": "2019-04-16T18:16:00.696Z", "mentions": [], "channels": [], "replies": [ "rocketchat.internal.admin.test" ], "tcount": 1, "tlm": "2019-04-16T18:16:00.614Z", "_deletedAt": "2019-04-16T18:16:13.508Z", "__collection__": "message" } ] }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing rid": { "value": { "success": false, "error": "The required \"rid\" query param is missing. [error-room-id-param-not-provided]", "errorType": "error-room-id-param-not-provided" } }, "Missing updatedSince": { "value": { "success": false, "error": "The required param \"updatedSince\" is missing. [error-updatedSince-param-invalid]", "errorType": "error-updatedSince-param-invalid" } }, "Invalid Date": { "value": { "success": false, "error": "The \"updatedSince\" query parameter must be a valid date. [error-updatedSince-param-invalid]", "errorType": "error-updatedSince-param-invalid" } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````